GET
Fetch lightning invoice for a payment hash
This API call is used to fetch lightning invoice for a given payment hash. Payment hash is a unique identifier for a lightning invoice.
Path Params
-
walletIdstring required -
paymentHashstring required
Responses
200
OK
Response Body
object
-
memostringA memo or description for the invoice -
amtPaidMsatstring numberThe number of millisats actually paid to this invoice, this may be greater than the amount requested by the invoice, since lightning allows overpaying (but not underpaying) invoices. -
invoicestring requiredThe BOLT #11 encoded invoice -
paymentHashstring requiredThe payment hash of the invoice -
valueMsatstring number requiredThe value of the invoice in millisatoshis -
expiresAtstring date-time requiredISO-8601 string representing when the invoice will expire -
statusstring enum requiredThe status of the invoiceopensettledcanceled -
walletIdstring requiredThe wallet to which this invoice belongs -
createdAtstring date-time requiredISO-8601 string representing when the invoice was created -
updatedAtstring date-time requiredISO-8601 string representing when the invoice was updated
400
Bad Request
Response Body
ONE OF
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidPaymentHash -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
ONE OF
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidPaymentHash -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id